﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml.Media.Imaging;
using SQLite;
using wBudget.Common;

namespace wBudget.Models
{
    public class Entry
    {
        public DateTime Date { get; set; }
        public double Amount { get; set; }
        public int CategoryId { get; set; }
        public string Description { get; set; }

        [Ignore]
        public string Subtitle
        {
            get { return null; }
        }

        [Ignore]
        public BitmapImage Image
        {
            get
            {
                return DataManager.CategoryLogos[CategoryId];
            }
        }
    }
}
