﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml.Media.Imaging;
using SQLite;
using wBudget.Common;

namespace wBudget.Models
{
    public class Category
    {
        public string Title { get; set; }
        public int Id { get; set; }
        public string BImage { get; set; }

        [Ignore]
        public string Subtitle
        {
            get { return null; }
        }

        [Ignore]
        public BitmapImage Image
        {
            get
            {
                return DataManager.CategoryLogos[Id];
            }
        }

        public override string ToString()
        {
            return Title;
        }
    }
}
